# Plain Apache Server

This will mount `/data/` (`/<mountpoint>`) and reveal its contents. Change as needed in `docker-compose.yml`.


## Instructions
`docker-compose up -d` and visit localhost:8080.

security is on you, I like Cloudflare Tunnels via `cloudflared`

## Required
docker

## Stack
`apache2` + `htpasswd` (per-folder `.htpasswd` file)

## Password

navigate to directory `/<mountpoint>/<subdir>`, then run this to create a password for "guest":
`htpasswd .htpasswd guest` (`htpasswd <path-to-file> <user>`)

(note: if you dont have `htpasswd` on your system, replace with `docker exec -ti webserver htpasswd` to use the one in the docker container and replace the path with the one in the `.htaccess` file below)

and create `.htaccess` in the same directory:
```
AuthType Basic
AuthName "Restricted Area"
AuthUserFile /usr/local/apache2/htdocs/<subdir>/.htpasswd
Require valid-user
```

